1
0
-1

I noticed the final XJDF Specification references XML 1.0 in the

Extensible Markup Language (XML) 1.0 (Fifth Edition) Version (W3C Recommendation of 26 November 2008) 

Is this the only XML version supported or is XML 1.1 also supported? If not, would agree that XSD 1.1 is also not supported.

    CommentAdd your comment...

    1 answer

    1.  
      1
      0
      -1

      XML 1.1 support is quite rare out in the wild: I simply updated the XML version tag og a simple XJDF to 1.1. and firrefox refused to parse.

      The same happened with the cip4 jdf editor, which uses a standard java xml parser.

      → stay away from XML 1.1.

      The official XJDF 2.0. xml schema is a pure 1.0 XSD. It will remain that way and there are currently no plans to use any XSD 1.1 schema features.

      The normative reference to schema in the XJDF specification is XSD 1.0.

      That being said: XSD 1.1 allows XML 1.0 and XML 1.1 and an implementation that uses XJDF may wish to use XSD 1.1 or schematron or any other schema tool for development. This would be a valid extension that could be agreed upon as an extension by two parties using XJDF but also would be out of scope for blind exchange of XJDF.

        CommentAdd your comment...